﻿* Encoding: UTF-8.
***Original: 1 = inaction, 2 = action***
***Recoded: 0 = inaction, 1 = action***

RECODE d1pregr d1presm d1progr d1prosm d2pregr d2presm d2progr d2prosm d3pregr d3presm d3progr d3prosm d4pregr d4presm d4progr d4prosm d5pregr d5presm d5progr d5prosm d6pregr d6presm d6progr d6prosm d7pregr d7presm d7progr d7prosm d8pregr d8presm d8progr d8prosm d9pregr d9presm d9progr d9prosm d10pregr d10presm d10progr d10prosm d11pregr d11presm d11progr d11prosm d12pregr d12presm d12progr d12prosm
(1=0) (2=1) (ELSE=SYSMIS) INTO
d1pregr_R d1presm_R d1progr_R d1prosm_R d2pregr_R d2presm_R d2progr_R d2prosm_R d3pregr_R d3presm_R d3progr_R d3prosm_R d4pregr_R d4presm_R d4progr_R d4prosm_R d5pregr_R d5presm_R d5progr_R d5prosm_R d6pregr_R d6presm_R d6progr_R d6prosm_R d7pregr_R d7presm_R d7progr_R d7prosm_R d8pregr_R d8presm_R d8progr_R d8prosm_R d9pregr_R d9presm_R d9progr_R d9prosm_R d10pregr_R d10presm_R d10progr_R d10prosm_R d11pregr_R d11presm_R d11progr_R d11prosm_R d12pregr_R d12presm_R d12progr_R d12prosm_R.
EXECUTE.

***Aggregation: calculate sum of action and inaction responses for each dilemma type***

COMPUTE sum_action_proscript_smallbenef = SUM.12(d1prosm_R, d2prosm_R, d3prosm_R, d4prosm_R, d5prosm_R, d6prosm_R, d7prosm_R, d8prosm_R, d9prosm_R, d10prosm_R, d11prosm_R, d12prosm_R).
EXECUTE.
COMPUTE sum_action_proscript_greatbenef = SUM.12(d1progr_R, d2progr_R, d3progr_R, d4progr_R, d5progr_R, d6progr_R, d7progr_R, d8progr_R, d9progr_R, d10progr_R, d11progr_R, d12progr_R).
EXECUTE.
COMPUTE sum_action_prescript_greatbenef = SUM.12(d1pregr_R, d2pregr_R, d3pregr_R, d4pregr_R, d5pregr_R, d6pregr_R, d7pregr_R, d8pregr_R, d9pregr_R, d10pregr_R, d11pregr_R, d12pregr_R).
EXECUTE.
COMPUTE sum_action_prescript_smallbenef = SUM.12(d1presm_R, d2presm_R, d3presm_R, d4presm_R, d5presm_R, d6presm_R, d7presm_R, d8presm_R, d9presm_R, d10presm_R, d11presm_R, d12presm_R).
EXECUTE. 

COMPUTE sum_inaction_proscript_smallbenef = 12 - sum_action_proscript_smallbenef.
EXECUTE.
COMPUTE sum_inaction_proscript_greatbenef = 12 - sum_action_proscript_greatbenef.
EXECUTE.
COMPUTE sum_inaction_prescript_greatbenef = 12 - sum_action_prescript_greatbenef.
EXECUTE.
COMPUTE sum_inaction_prescript_smallbenef = 12 - sum_action_prescript_smallbenef.
EXECUTE. 

***Aggregation: calculate sum of action and inaction responses for each dilemma type for each participant***
***NOTE: pathname for output file has to be updated for aggregation below***

AGGREGATE
  /OUTFILE='C:\Pathname\Data\CNI Model Aggregate Data.sav'
  /BREAK=Subject
  /sum_action_proscript_greatbenef = SUM(sum_action_proscript_greatbenef)
  /sum_inaction_proscript_greatbenef = SUM(sum_inaction_proscript_greatbenef)
  /sum_action_proscript_smallbenef = SUM(sum_action_proscript_smallbenef)
  /sum_inaction_proscript_smallbenef = SUM(sum_inaction_proscript_smallbenef)
  /sum_action_prescript_greatbenef = SUM(sum_action_prescript_greatbenef)
  /sum_inaction_prescript_greatbenef = SUM(sum_inaction_prescript_greatbenef)
  /sum_action_prescript_smallbenef = SUM(sum_action_prescript_smallbenef)
  /sum_inaction_prescript_smallbenef = SUM(sum_inaction_prescript_smallbenef).

GET FILE='C:\Pathname\Data\CNI Model Aggregate Data.sav'.
